Part Box/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Part Box|Name/cs=Díl Box|MenuLocation=Díl -> Box||Workbenches=[[Part_Module/cs|Modul Díl]], Kompletace|SeeAlso=[[Part_CreatePrimitives/cs|Díl Vytváření zákl.geom.tvarů]]}}

{{Docnav
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part_Workbench|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
</div>


== Description ==
== Description ==
A parametric [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid Rectangular cuboid] primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue. Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


The [[Image:Part_Box.svg|24px]] '''Part Box''' command creates a parametric box solid, a [https://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid]. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.
== How to use ==


[[Image:Part_Box_Example.png|400px]]
In the workbench [[Part_Workbench|Part]] click on the cube icon [[Image:Part Box.png|32px]]. A cube with standard dimension and position will be created.


== Options ==
== Usage ==
The parametric rectangular cuboid is defined by the parameters
*length,
*width,
*height,
*as well as the standard set of Placement Parameters.


<div class="mw-translate-fuzzy">
The default is a cube with parameter values for height, length and width being 10mm. The default placement values will locate the cuboid's local origin at the global origin (the location where all axis are 0) and the orientation such that
V datové záložce boxu mohou být později upravovány vlastnosti objektu:
</div>


== Example ==
[[File:box.png|650px|box vytvořený nástrojem Box]]


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]
====Parameter====
* {{Parameter|Length:}} The length is the distance in the x-axis
* {{Parameter|Width:}} The width is the distance in the y-axis
* {{Parameter|Height:}} The height is the distance in the z-axis


A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
==FreeCAD - Version==


== Notes ==
*{{Version|0.14}}


* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".


== Properties ==


See also: [[Property_editor|Property editor]].
{{clear}}

<languages/>
A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

* {{PropertyData|Length|Length}}: The length of the box. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width|Length}}: The width of the box. This is the dimension in its Y direction. The default is {{Value|10mm}}.
* {{PropertyData|Height|Length}}: The height of the box. This is dimension in its Z direction. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Box can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}

* Where {{Incode|"myBox"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:01, 4 March 2022

Part Box

Umístění Menu
Part → Box
Pracovní stoly
Part, Complete
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Part CreatePrimitives

Description

The Part Box command creates a parametric box solid, a rectangular cuboid. In the coordinate system defined by its ÚdajePlacement property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

V datové záložce boxu mohou být později upravovány vlastnosti objektu:

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

  • ÚdajeLength (Length): The length of the box. This is the dimension in its X direction. The default is 10mm.
  • ÚdajeWidth (Length): The width of the box. This is the dimension in its Y direction. The default is 10mm.
  • ÚdajeHeight (Length): The height of the box. This is dimension in its Z direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Box can be created with the addObject() method of the document:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()